### Method

# GLib Queue find

since: 2.4

#### Declaration

    GList*
    g_queue_find (
      GQueue* queue,
      gconstpointer data
    )

#### Description

Finds the first link in `queue` which contains `data`.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`data`

  Type: `gconstpointer`

  Data to find.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: A list of `gpointer`

The first link in `queue` which contains `data`.

The data is owned by the instance.